# QUrl Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QUrl()
- void QUrl(String url)
- void QUrl(String url, ParsingMode mode)
- void QUrl(QUrl copy)

### Constructor Properties

- prototype: The QUrl prototype object
- String fromAce(QByteArray arg__1)
- QUrl fromEncoded(QByteArray url)
- QUrl fromLocalFile(String localfile)
- String fromPercentEncoding(QByteArray arg__1)
- QUrl fromUserInput(String userInput)
- List idnWhitelist()
- void setIdnWhitelist(List arg__1)
- QByteArray toAce(String arg__1)
- QByteArray toPercentEncoding(String arg__1, QByteArray exclude, QByteArray include)
- TolerantMode
- StrictMode
- ParsingMode( value )
- None = 0x0
- RemoveScheme = 0x1
- RemovePassword = 0x2
- RemoveUserInfo = RemovePassword|0x4
- RemovePort = 0x8
- RemoveAuthority = RemoveUserInfo|RemovePort|0x10
- RemovePath = 0x20
- RemoveQuery = 0x40
- RemoveFragment = 0x80
- StripTrailingSlash = 0x10000
- FormattingOption( value )
- FormattingOptions( value1, value2, ... )

### Prototype Object Properties

- void addEncodedQueryItem(QByteArray key, QByteArray value)
- void addQueryItem(String key, String value)
- List allEncodedQueryItemValues(QByteArray key)
- List allQueryItemValues(String key)
- String authority()
- void clear()
- QByteArray encodedFragment()
- QByteArray encodedHost()
- QByteArray encodedPassword()
- QByteArray encodedPath()
- QByteArray encodedQuery()
- QByteArray encodedQueryItemValue(QByteArray key)
- List encodedQueryItems()
- QByteArray encodedUserName()
- String errorString()
- String fragment()
- bool hasEncodedQueryItem(QByteArray key)
- bool hasFragment()
- bool hasQuery()
- bool hasQueryItem(String key)
- String host()
- bool isEmpty()
- bool isLocalFile()
- bool isParentOf(QUrl url)
- bool isRelative()
- bool isValid()
- bool operator_equal(QUrl url)
- bool operator_less(QUrl url)
- String password()
- String path()
- int port()
- String queryItemValue(String key)
- List queryItems()
- char queryPairDelimiter()
- char queryValueDelimiter()
- void readFrom(QDataStream arg__1)
- void removeAllEncodedQueryItems(QByteArray key)
- void removeAllQueryItems(String key)
- void removeEncodedQueryItem(QByteArray key)
- void removeQueryItem(String key)
- QUrl resolved(QUrl relative)
- String scheme()
- void setAuthority(String authority)
- void setEncodedFragment(QByteArray fragment)
- void setEncodedHost(QByteArray host)
- void setEncodedPassword(QByteArray password)
- void setEncodedPath(QByteArray path)
- void setEncodedQuery(QByteArray query)
- void setEncodedQueryItems(List query)
- void setEncodedUrl(QByteArray url)
- void setEncodedUserName(QByteArray userName)
- void setFragment(String fragment)
- void setHost(String host)
- void setPassword(String password)
- void setPath(String path)
- void setPort(int port)
- void setQueryDelimiters(char valueDelimiter, char pairDelimiter)
- void setQueryItems(List query)
- void setScheme(String scheme)
- void setUrl(String url)
- void setUserInfo(String userInfo)
- void setUserName(String userName)
- void swap(QUrl other)
- QByteArray toEncoded(FormattingOptions options)
- String toLocalFile()
- String toString(FormattingOptions options)
- String topLevelDomain()
- String userInfo()
- String userName()
- void writeTo(QDataStream arg__1)

### Instance Properties

QUrl objects have no special properties beyond those inherited from the QUrl prototype object.